Package org.linphone.mediastream

# Class Factory

java.lang.Object
org.linphone.mediastream.Factory

public class Factory extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEVICE_HAS_BUILTIN_AEC`
`static final int`
`DEVICE_HAS_BUILTIN_AEC_CRAPPY`
`static final int`
`DEVICE_HAS_BUILTIN_OPENSLES_AEC`
`static final int`
`DEVICE_HAS_CRAPPY_AAUDIO`
`static final int`
`DEVICE_HAS_CRAPPY_ANDROID_FASTRECORD`
`static final int`
`DEVICE_HAS_CRAPPY_ANDROID_FASTTRACK`
`static final int`
`DEVICE_HAS_CRAPPY_OPENGL`
`static final int`
`DEVICE_HAS_CRAPPY_OPENSLES`
`static final int`
`DEVICE_HAS_UNSTANDARD_LIBMEDIA`
`static final int`
`DEVICE_MCH264ENC_NO_PIX_FMT_CONV`
`static final int`
`DEVICE_MCH265_LIMIT_DEQUEUE_OF_OUTPUT_BUFFERS`
`static final int`
`DEVICE_USE_ANDROID_CAMCORDER`
`static final int`
`DEVICE_USE_ANDROID_MIC`

## Method Summary

Modifier and Type
Method
Description
`void`
`enableFilterFromName(String name, boolean enabled)`
`boolean`
`filterFromNameEnabled(String name)`
`String`
`getDecoderText(String mime)`
`int`
`getDeviceFlags()`
`String`
`getEncoderText(String mime)`
`void`
`setDeviceInfo(String manufacturer, String model, String platform, int flags, int delay, int recommended_rate)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEVICE_HAS_BUILTIN_AEC

public static final int DEVICE_HAS_BUILTIN_AEC

See Also:
  - Constant Field Values

### DEVICE_HAS_BUILTIN_AEC_CRAPPY

public static final int DEVICE_HAS_BUILTIN_AEC_CRAPPY

See Also:
  - Constant Field Values

### DEVICE_USE_ANDROID_MIC

public static final int DEVICE_USE_ANDROID_MIC

See Also:
  - Constant Field Values

### DEVICE_HAS_BUILTIN_OPENSLES_AEC

public static final int DEVICE_HAS_BUILTIN_OPENSLES_AEC

See Also:
  - Constant Field Values

### DEVICE_HAS_CRAPPY_ANDROID_FASTTRACK

public static final int DEVICE_HAS_CRAPPY_ANDROID_FASTTRACK

See Also:
  - Constant Field Values

### DEVICE_HAS_CRAPPY_ANDROID_FASTRECORD

public static final int DEVICE_HAS_CRAPPY_ANDROID_FASTRECORD

See Also:
  - Constant Field Values

### DEVICE_HAS_UNSTANDARD_LIBMEDIA

public static final int DEVICE_HAS_UNSTANDARD_LIBMEDIA

See Also:
  - Constant Field Values

### DEVICE_HAS_CRAPPY_OPENGL

public static final int DEVICE_HAS_CRAPPY_OPENGL

See Also:
  - Constant Field Values

### DEVICE_HAS_CRAPPY_OPENSLES

public static final int DEVICE_HAS_CRAPPY_OPENSLES

See Also:
  - Constant Field Values

### DEVICE_USE_ANDROID_CAMCORDER

public static final int DEVICE_USE_ANDROID_CAMCORDER

See Also:
  - Constant Field Values

### DEVICE_MCH264ENC_NO_PIX_FMT_CONV

public static final int DEVICE_MCH264ENC_NO_PIX_FMT_CONV

See Also:
  - Constant Field Values

### DEVICE_MCH265_LIMIT_DEQUEUE_OF_OUTPUT_BUFFERS

public static final int DEVICE_MCH265_LIMIT_DEQUEUE_OF_OUTPUT_BUFFERS

See Also:
  - Constant Field Values

### DEVICE_HAS_CRAPPY_AAUDIO

public static final int DEVICE_HAS_CRAPPY_AAUDIO

See Also:
  - Constant Field Values

## Method Details

### enableFilterFromName

public void enableFilterFromName(String name, boolean enabled)

### filterFromNameEnabled

public boolean filterFromNameEnabled(String name)

### setDeviceInfo

public void setDeviceInfo(String manufacturer, String model, String platform, int flags, int delay, int recommended_rate)

### getDeviceFlags

public int getDeviceFlags()

### getEncoderText

public String getEncoderText(String mime)

### getDecoderText

public String getDecoderText(String mime)